package com.fjhx.event;

import com.fjhx.service.WebSocketServer;
import lombok.Getter;
import org.springframework.context.ApplicationEvent;

/**
 * webStock建立连接事件
 */
@Getter
public class WebSocketOnOpenEvent extends ApplicationEvent {

    public WebSocketOnOpenEvent(WebSocketServer source) {
        super(source);
    }

    @Override
    public WebSocketServer getSource() {
        return (WebSocketServer)super.getSource();
    }

}